---
lang: en
title: 'API docs: repository.modelsettings'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.modelsettings.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ModelSettings](./repository.modelsettings.md)

## ModelSettings interface

Defining the settings for a model See https://loopback.io/doc/en/lb4/Model.html\#supported-entries-of-model-definition

**Signature:**

```typescript
export interface ModelSettings 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [description?](./repository.modelsettings.description.md) |  | string | _(Optional)_ Description of the model |
|  [forceId?](./repository.modelsettings.forceid.md) |  | boolean | _(Optional)_ Prevent clients from setting the auto-generated ID value manually |
|  [hiddenProperties?](./repository.modelsettings.hiddenproperties.md) |  | string\[\] | _(Optional)_ Hides properties from response bodies |
|  [scope?](./repository.modelsettings.scope.md) |  | object | _(Optional)_ Scope enables you to set a scope that will apply to every query made by the model's repository |
|  [strict?](./repository.modelsettings.strict.md) |  | boolean \| 'filter' | _(Optional)_ Specifies whether the model accepts only predefined properties or not |


